
import Api from '../../util/Api'
import ToolClass from '../../util/PublicMethod'
export default {
  namespaced: true,
  state: {
    UserInfo: null, // 用户信息
    UserOrderList: [ // 用户订单
      { createDate: '2020-08-14  15:10:20', dateNum: '202076期', type: '超级大乐透', typeId: 'dlt', amount: 2, id: 1, orderNum: 'TE202008140000146179970', status: '已撤单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 2, id: 2, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 4, id: 3, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 2, id: 4, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 6, id: 5, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 8, id: 6, orderNum: 'TE202008140000146179970', status: '已下单' }
    ],
    UserAccountDetails: { // 用户账户明细
      All: [
        { type: '充值', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '投注', id: '', createDate: '2020-08-15 12:00:00', amount: '-200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' }
      ],
      Pay: [ // 充值
        { type: '充值', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' }
      ],
      Bet: [ // 投注
        { type: '投注', id: '', createDate: '2020-08-15 12:00:00', amount: '-200' }
      ],
      SendPrize: [], // 派奖
      WithDraw: [ // 提现
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' }
      ]
    }
  },
  mutations: {
    UpdateUserInfo (state, data) { // 更新用户信息
      state.UserInfo = data || null
    }
  },
  actions: {
    SignIn (context, payload) { // 登录
      return new Promise((resolve, reject) => {
        ToolClass.Axios(resolve, reject, Api.SignIn, context, payload, 1000, 'UpdateUserInfo')
      })
    }
  }
}
